#!/usr/bin/env python
from collections import *
from isstring import *
from public import *

def isiterable(object):
    return isinstance(object,Iterable)

@public
def tolist(object):
    """convert object to list"""
    if object is None: return []
    if isstring(object): return [object]
    if isiterable(object):
        return list(object)
    else:
        return [object]

if __name__=="__main__":
	print(tolist(["item1","item2"])) # ["item1","item2"]
	print(tolist("item1")) # ["item1"]
	print(tolist(None)) # []


